<?php
    /**
     * The template for the panel header area.
     * Override this template by specifying the path where it is stored (templates_path) in your Redux config.
     *
     * @author      Redux Framework
     * @package     ReduxFramework/Templates
     * @version:    3.5.4.18
     */

    $tip_title = __( 'Developer Mode Enabled', 'H-Code' );

    if ( $this->parent->dev_mode_forced ) {
        $is_debug     = false;
        $is_localhost = false;

        $debug_bit = '';
        if ( Redux_Helpers::isWpDebug() ) {
            $is_debug  = true;
            $debug_bit = __( 'WP_DEBUG is enabled', 'H-Code' );
        }

        $localhost_bit = '';
        if ( Redux_Helpers::isLocalHost() ) {
            $is_localhost  = true;
            $localhost_bit = __( 'you are working in a localhost environment', 'H-Code' );
        }

        $conjunction_bit = '';
        if ( $is_localhost && $is_debug ) {
            $conjunction_bit = ' ' . __( 'and', 'H-Code' ) . ' ';
        }

        $tip_msg = __( 'This has been automatically enabled because', 'H-Code' ) . ' ' . $debug_bit . $conjunction_bit . $localhost_bit . '.';
    } else {
        $tip_msg = __( 'If you are not a developer, your theme/plugin author shipped with developer mode enabled. Contact them directly to fix it.', 'H-Code' );
    }

?>
<div id="redux-header">
    <?php if ( ! empty( $this->parent->args['display_name'] ) ) { ?>
        <div class="display_header">

            <h2><?php echo wp_kses_post( $this->parent->args['display_name'] ); ?></h2>

            <?php if ( ! empty( $this->parent->args['display_version'] ) ) { ?>
                <span><?php echo wp_kses_post( $this->parent->args['display_version'] ); ?></span>
            <?php } ?>

        </div>
        <div class="hcode-head-right">
            <?php
            $hcode_live_site_url = 'http://wpdemos.themezaa.com/h-code';
            $hcode_live_support_url = 'http://www.themezaa.com';
            ?>
            <a href="<?php echo esc_url( $hcode_live_site_url ); ?>/documentation/" target="_blank"><?php echo esc_html__('Online Documentation', 'H-Code'); ?></a>
                <span class="link_sep">|</span><a href="<?php echo esc_url( $hcode_live_support_url ); ?>/support.php" target="_blank"><?php echo esc_html__('Support Center', 'H-Code'); ?></a>
        </div>
        <div class="clear"></div>
    <?php } ?>

    <div class="clear"></div>
</div>