<?php
/**
 * displaying menu section
 *
 * @package H-Code
 */
?>
<?php 
if( class_exists( 'WooCommerce' ) && (is_product() || is_product_category() || is_product_tag()) || is_404() || is_home() ){
    $enable_header = '2';
}else{
    $old_page_header_meta = '';
    $old_page_header_meta = get_post_meta( $post->ID, 'hcode_enable_header_single', true);
    if( $old_page_header_meta != '' && strlen($old_page_header_meta) > 0 ){
        $enable_header = hcode_option('hcode_enable_header');
    }else{
        $enable_header = '2';  
    }
}
if($enable_header == '1' || $enable_header == '2'){
    $hcode_options = get_option( 'hcode_theme_setting' );
    $hcode_header_text_color = '';
    if($enable_header == '2'){
        $hcode_enable_header = (isset($hcode_options['hcode_enable_header'])) ? $hcode_options['hcode_enable_header'] : '';
        if($hcode_enable_header == 0)
            return;
    }
    
    $hcode_header_layout = hcode_option('hcode_header_layout');
    $hcode_header_logo = hcode_option('hcode_header_logo');
    if(is_array($hcode_header_logo))
        $hcode_header_logo =  $hcode_header_logo['url'];

    $hcode_header_light_logo = hcode_option('hcode_header_light_logo');
    if(is_array($hcode_header_light_logo))
        $hcode_header_light_logo =  $hcode_header_light_logo['url'];

    $retina = hcode_option('hcode_retina_logo');
    if(is_array($retina))
        $retina =  $retina['url'];

    $retina_light = hcode_option('hcode_retina_logo_light');
    if(is_array($retina_light))
        $retina_light =  $retina_light['url'];

    $header_menu = hcode_option('hcode_header_menu');
    if(empty($header_menu)) {
        $header_menu = (isset($hcode_options['hcode_header_menu'])) ? $hcode_options['hcode_header_menu'] : '';
    }

    $header_secondary_menu = hcode_option('hcode_header_secondary_menu');
    if(empty($header_secondary_menu)) {
        $header_secondary_menu = (isset($hcode_options['hcode_header_secondary_menu'])) ? $hcode_options['hcode_header_secondary_menu'] : '';
    }

    $hcode_header_text_color = ' '.hcode_option('hcode_header_text_color');
    $hcode_header_search = hcode_option('hcode_header_search');
    $hcode_header_cart = hcode_option('hcode_header_cart');
    if(isset($hcode_options['hcode_header_mini_cart'])):
        $hcode_header_mini_cart = (isset($hcode_options['hcode_header_mini_cart']) && !empty($hcode_options['hcode_header_mini_cart'])) ? $hcode_options['hcode_header_mini_cart'] : '';
    else:
        $hcode_header_mini_cart = 'hcode-mini-cart';
    endif;
    
    $hcode_search_placeholder_text = (isset($hcode_options['hcode_search_placeholder_text']) && !empty($hcode_options['hcode_search_placeholder_text'])) ? $hcode_options['hcode_search_placeholder_text'] : '';
    

    $output = $classes = $enable_sticky = $hcode_menu_hover_delay = '';  

    /* H-Code V1.8 */
    $hcode_menu_hover_delay = (isset($hcode_options['hcode_menu_hover_delay']) && !empty($hcode_options['hcode_menu_hover_delay'])) ? $hcode_options['hcode_menu_hover_delay'] : '100';

    $hcode_enable_mini_header       = hcode_option( 'hcode_enable_mini_header' );
    $hcode_enable_sticky_mini_header= hcode_option( 'hcode_enable_sticky_mini_header' );

    switch ($hcode_header_layout) {
        case 'headertype1':
                    $classes .= 'transparent-header nav-border-bottom ';
                    break;
        case 'headertype2':
                    $classes .= 'nav-dark ';
                    break;
        case 'headertype3':
                    $classes .= 'nav-dark-transparent ';
                    break;
        case 'headertype4':
                    $classes .= 'nav-border-bottom nav-light-transparent ';
                    break;
        case 'headertype5':
                    $classes .= 'nav-border-bottom static-sticky ';
                    break;
        case 'headertype6':
                    $classes .= 'white-header nav-border-bottom ';
                    break;
        case 'headertype7':
                    $classes .= 'static-sticky-gray';
                    break;
        case 'headertype8':
                    $classes .= 'non-sticky ';
                    break;
        case 'headertype10':
                    if( $hcode_enable_mini_header == 1 && $hcode_enable_sticky_mini_header == 1 ) {
                        $classes .= 'no-shrink-nav ';
                    }
                    break;
    }

    $menu_style = hcode_option('hcode_header_layout');
    if(empty($menu_style)) {
        $menu_style = (isset($hcode_options['hcode_header_layout'])) ? $hcode_options['hcode_header_layout'] : '';
    }

    $menu_image = hcode_option('hcode_menu_image');
    if(is_array($menu_image))
        $menu_image =  $menu_image['url'];

    $menu_logo = hcode_option('hcode_menu_logo');
    if(is_array($menu_logo))
        $menu_logo =  $menu_logo['url'];

    $enable_menu_social_icons = hcode_option('hcode_enable_menu_social_icons');
    if( $enable_menu_social_icons == '' ) {
        $enable_menu_social_icons = (isset($hcode_options['hcode_enable_menu_social_icons'])) ? $hcode_options['hcode_enable_menu_social_icons'] : '';
    }
    $menu_social_sidebar = hcode_option('hcode_menu_social_sidebar');
    if( $menu_social_sidebar == '' ) {
        $menu_social_sidebar = (isset($hcode_options['hcode_menu_social_sidebar'])) ? $hcode_options['hcode_menu_social_sidebar'] : '';
    }
    $enable_menu_separator = hcode_option('hcode_enable_menu_separator');
    if( $enable_menu_separator == '' ) {
        $enable_menu_separator = (isset($hcode_options['hcode_enable_menu_separator'])) ? $hcode_options['hcode_enable_menu_separator'] : '';
    }

    $header_logo_position = hcode_option( 'hcode_header_logo_position' );
    if( !( $menu_style == 'headertype9' || $menu_style == 'headertype10' || $menu_style == 'headertype11' ) ) {
        
        if( $header_logo_position == 'center' ) {
            $classes .= ' header-center-logo ';

            $header_logo_wrap_class = 'center-logo';
            $header_main_menu_class = 'navbar-left';
            
            if( ( $hcode_header_search == 1 ) || ( $hcode_header_cart == 1 ) ) {
                $header_menu_col_class  = 'col-md-10';
            } else {
                $header_menu_col_class  = 'col-md-10 center-logo-full-width';
            }

        } elseif( $header_logo_position == 'top' ) {
            $classes .= ' header-top-logo ';

            $header_logo_wrap_class = 'col-md-2 header-top-logo-center';
            $header_main_menu_class = 'navbar-left';
            $header_menu_col_class  = 'col-md-8';

        } else {

            $header_logo_wrap_class = 'col-md-2';
            $header_main_menu_class = 'navbar-right';
            $header_menu_col_class  = 'col-md-8';
        }
    }

?>

    <?php
        if( hcode_check_enable_mini_header() ) { 
            $hcode_enable_mini_header_sidebar   = hcode_option( 'hcode_enable_mini_header_sidebar' );
            $hcode_enable_sticky_mini_header    = hcode_option( 'hcode_enable_sticky_mini_header' );
            $hcode_enable_mini_header_mobile    = hcode_option( 'hcode_enable_mini_header_mobile' );

            $sticky_header_class        = empty( $hcode_enable_sticky_mini_header ) ? 'no-sticky-mini-header ' : 'sticky-mini-header ';
            $mini_header_mobile_class   = $hcode_enable_mini_header_mobile == 1 ? 'mini-header-mobile ' : '';
    ?>
        <header class="<?php echo $sticky_header_class . $mini_header_mobile_class . $hcode_header_layout ?>">
            <div class="top-header-area">
                <div class="container">
                    <div class="row">
                        <div class="col-md-12">
                            <?php dynamic_sidebar( $hcode_enable_mini_header_sidebar ); ?>
                        </div>
                    </div>
                </div>
            </div>
    <?php } ?>

        <?php
            // Logo html start
            ob_start();
        ?>
                <?php
                    $retina_width = (isset($hcode_options['hcode_retina_logo_width'])) ? 'width:'.$hcode_options['hcode_retina_logo_width'].'; ' : '';
                    $retina_height = (isset($hcode_options['hcode_retina_logo_height'])) ? 'max-height:'.$hcode_options['hcode_retina_logo_height'].'' : '';
                    $r_style  = '';
                ?>
                <?php if(!empty($hcode_header_logo) || $retina){?>
                    <a class="logo-light" href="<?php echo home_url(); ?>">
                        <?php
                        if($hcode_header_logo):
                        ?>
                            <img alt="<?php echo get_bloginfo('name') ?>" src="<?php echo $hcode_header_logo; ?>" class="logo" />
                        <?php
                        endif;
                        if($retina):
                            if($retina_width || $retina_height):
                                $r_style = 'style="'.$retina_width.$retina_height.'"';
                            endif;
                            ?>
                            <img alt="<?php echo get_bloginfo('name') ?>" src="<?php echo $retina; ?>" class="retina-logo" <?php echo $r_style;?> />
                            <?php
                        endif;
                        ?>
                    </a>
                <?php }else{
                    ?>
                    <span class="hcode-site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="logo-light" rel="home"><span class="logo"><?php bloginfo( 'name' ); ?></span><span class="retina-logo"><?php bloginfo( 'name' ); ?></span></a></span>
                    <?php
                } ?>
                <?php
                if( ( !empty($hcode_header_light_logo) || $retina_light ) && ( $menu_style != 'headertype9' ) ){
                    $header_type= array('headertype5','headertype7');
                    if(!in_array($hcode_header_layout, $header_type) ){ 
                        ?>
                        <a class="logo-dark" href="<?php echo home_url(); ?>">
                            <?php
                            if($hcode_header_light_logo):
                            ?>
                                <img alt="<?php echo get_bloginfo('name') ?>" src="<?php echo $hcode_header_light_logo; ?>" class="logo" />
                            <?php
                            endif;
                            if($retina_light):
                                if($retina_width || $retina_height):
                                    $r_style = 'style="'.$retina_width.$retina_height.'"';
                                endif;
                            ?>
                                <img alt="<?php echo get_bloginfo('name') ?>" src="<?php echo $retina_light; ?>" class="retina-logo-light" <?php echo $r_style; ?>/>
                            <?php
                            endif;
                            ?>
                        </a>
                    <?php
                    } 
                } else { ?>
                    <span class="hcode-site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="logo-dark" rel="home"><span class="logo"><?php bloginfo( 'name' ); ?></span><span class="retina-logo"><?php bloginfo( 'name' ); ?></span></a></span>
                    <?php
                } ?>
        <?php
            $logo_html = ob_get_clean();
            // Logo html end
        ?>

        <!-- navigation -->
        <?php 
            if( $menu_style == 'headertype9' ) { // Hamburger Menu Style 1 

                if( is_home() ) {
                    $enable_title = hcode_option('hcode_enable_blog_title_wrapper');
                    if($enable_title == '1'){
                        $hcode_options = get_option( 'hcode_theme_setting' );
                        $enable_title = (isset($hcode_options['hcode_enable_blog_title_wrapper'])) ? $hcode_options['hcode_enable_blog_title_wrapper'] : '';
                    }
                } else {
                    $enable_title = hcode_option('hcode_enable_title_wrapper');
                    if($enable_title == '1'){
                        $hcode_options = get_option( 'hcode_theme_setting' );
                        $enable_title = (isset($hcode_options['hcode_enable_title_wrapper'])) ? $hcode_options['hcode_enable_title_wrapper'] : '';
                    }
                }
                $menu_button_class = $enable_title == '1' ? ' menu-on-title' : '';
                $menu_wrap_class = $enable_title == '1' ? ' menu-wrap-on-title' : '';
        ?>
            
            <div class="menu-wrap pull-menu hamburger-menu1 <?php echo $menu_wrap_class.$hcode_header_text_color ?>">
                <nav class="menu navigation-menu no-transition no-shrink-nav">
                    <!-- Brand and toggle get grouped for better mobile display -->
                    <!-- logo -->
                    <div class="col-md-12 navbar-header no-padding clearfix text-center xs-text-left">
                        <?php echo $logo_html; ?>
                    </div>
                    <!-- end logo -->
                    <div class="col-md-12 no-padding clearfix">
                        <div class="no-padding" id="bs-example-navbar-collapse-1">
                            <?php
                                $defaults = '';
                                if (!empty($header_menu)):
                                    $defaults = array(
                                        'menu'            => $header_menu,
                                        'container'       => false,
                                        'menu_class'      => 'nav navbar-default navbar-nav',
                                        'menu_id'         => 'accordion',
                                        'echo'            => true,
                                        'fallback_cb'     => false,
                                        'items_wrap'      => '<ul id="%1$s" class="%2$s">%3$s</ul>',
                                        'walker'          => new Hcode_Hamburger_Menu_Walker
                                    );
                                else:
                                    $defaults = array(
                                        'container'       => false,
                                        'menu_class'      => 'nav navbar-default navbar-nav',
                                        'menu_id'         => 'accordion',
                                        'echo'            => true,
                                        'items_wrap'      => '<ul id="%1$s" class="%2$s">%3$s</ul>',
                                    );
                                endif;

                                wp_nav_menu( $defaults );
                            ?>
                        </div>
                    </div>
                    <?php if( $enable_menu_social_icons == 1 && is_active_sidebar($menu_social_sidebar) ) { ?>
                        <div class="col-md-12 no-padding clearfix">
                            <div class="footer-social no-margin-bottom no-margin-lr text-center">
                                <!-- social media link -->
                                <?php dynamic_sidebar($menu_social_sidebar); ?>
                                <!-- end social media link -->
                            </div>
                        </div>
                    <?php } ?>
                </nav>
                <button class="close-button" id="close-button"><?php esc_html_e( 'Close Menu', 'H-Code' ) ?></button>
            </div>
            <button class="menu-button <?php echo $menu_button_class ?>" id="open-button">
                <span class="sr-only"><?php esc_html_e( 'Open Menu', 'H-Code' ) ?></span>
                                <span class="icon-bar"></span>
                                <span class="icon-bar"></span>
                                <span class="icon-bar"></span>
            </button>

        <?php } elseif( $menu_style == 'headertype10' ) { // Hamburger Menu Style 2 ?>

            <nav class="navbar navbar-default navbar-fixed-top nav-transparent overlay-nav sticky-nav nav-white full-width-pull-menu hamburger-menu2 <?php echo $classes.$hcode_header_text_color ?>">
                <!-- navigation panel -->
                <div class="container">
                    <div class="row">
                        <!-- logo -->
                        <div class="col-md-2 col-sm-2 pull-left">
                            <?php echo $logo_html; ?>
                        </div>
                        <!-- end logo -->
                        <!-- main menu -->
                        <div class="col-md-10 col-sm-7 no-padding-right text-right no-transition">
                            <div class="menu-wrap pull-menu full-screen ">
                                <div class="pull-menu-open">
                                    <div class="pull-menu-open-sub">
                                        <div class="col-md-12">
                                            <?php
                                                $defaults = '';
                                                if (!empty($header_menu)):
                                                    $defaults = array(
                                                        'menu'            => $header_menu,
                                                        'container'       => false,
                                                        'menu_class'      => 'nav navbar-nav panel-group',
                                                        'menu_id'         => 'accordion',
                                                        'echo'            => true,
                                                        'fallback_cb'     => false,
                                                        'items_wrap'      => '<ul id="%1$s" class="%2$s">%3$s</ul>',
                                                        'walker'          => new Hcode_Hamburger_Menu_Walker
                                                    );
                                                else:
                                                    $defaults = array(
                                                        'container'       => false,
                                                        'menu_class'      => 'nav navbar-nav panel-group',
                                                        'menu_id'         => 'accordion',
                                                        'echo'            => true,
                                                        'items_wrap'      => '<ul id="%1$s" class="%2$s">%3$s</ul>',
                                                    );
                                                endif;

                                                wp_nav_menu( $defaults );
                                            ?>
                                        </div>
                                        <div class="col-md-12 text-center cover-background padding-five" style="background-image:url('<?php echo esc_url( $menu_image ) ?>');">
                                            <?php if( !empty( $menu_logo ) ) { ?>
                                                <div>
                                                    <img src="<?php echo esc_url( $menu_logo ) ?>" alt="<?php echo get_bloginfo('name') ?>" />
                                                </div>
                                            <?php } ?>
                                            <?php if( $enable_menu_social_icons == 1 && is_active_sidebar($menu_social_sidebar) ) { ?>
                                                <div class="padding-two no-padding-bottom">
                                                    <!-- social media link -->
                                                    <?php dynamic_sidebar($menu_social_sidebar); ?>
                                                    <!-- end social media link -->
                                                </div>
                                            <?php } ?>
                                        </div>
                                        <button class="close-button" id="close-button"><?php esc_html_e( 'Close Menu', 'H-Code' ) ?></button>
                                    </div>
                                </div>
                            </div>
                            <!-- end main menu -->
                            <button type="button" class="position-absolute position-right navbar-toggle" id="open-button" data-toggle="collapse" data-target=".navbar-collapse">
                                <span class="sr-only"><?php esc_html_e( 'Open Menu', 'H-Code' ) ?></span>
                                <span class="icon-bar"></span>
                                <span class="icon-bar"></span>
                                <span class="icon-bar"></span>
                            </button>
                        </div>
                    </div>
                    <!-- end navigation panel -->
                </div>
            </nav>

        <?php } elseif( $menu_style == 'headertype11' ) { // Hamburger Menu Style 3 ?>

            <nav class="navbar navbar-default nav-dark navbar-fixed-top nav-transparent overlay-nav sticky-nav full-width-pull-menu full-width-pull-menu-dark  hamburger-menu3 <?php echo $classes.$hcode_header_text_color ?>">
                <!-- navigation panel -->
                <div class="container">
                    <div class="row">
                        <!-- logo -->
                        <div class="col-md-2 col-sm-2 pull-left">
                            <?php echo $logo_html; ?>
                        </div>
                        <!-- end logo -->
                        <!-- main menu -->
                        <div class="col-md-10 col-sm-10 no-padding-right no-transition">
                            <div class="menu-wrap full-screen no-padding">
                                <div class="col-md-6 col-sm-6 full-screen no-padding cover-background xs-display-none" style="background-image:url('<?php echo esc_url( $menu_image ) ?>');"></div>
                                <div class="col-md-6 col-sm-6 full-screen bg-white bg-hamburger-menu3">
                                    <div class="pull-menu full-screen ">
                                        <div class="pull-menu-open">
                                            <div class="pull-menu-open-sub">
                                                <?php
                                                    $defaults = '';
                                                    if (!empty($header_menu)):
                                                        $defaults = array(
                                                            'menu'            => $header_menu,
                                                            'container'       => false,
                                                            'menu_class'      => 'nav navbar-nav panel-group no-padding',
                                                            'menu_id'         => 'accordion',
                                                            'echo'            => true,
                                                            'fallback_cb'     => false,
                                                            'items_wrap'      => '<ul id="%1$s" class="%2$s">%3$s</ul>',
                                                            'walker'          => new Hcode_Hamburger_Menu_Walker
                                                        );
                                                    else:
                                                        $defaults = array(
                                                            'container'       => false,
                                                            'menu_class'      => 'nav navbar-nav panel-group no-padding',
                                                            'menu_id'         => 'accordion',
                                                            'echo'            => true,
                                                            'items_wrap'      => '<ul id="%1$s" class="%2$s">%3$s</ul>',
                                                        );
                                                    endif;

                                                    wp_nav_menu( $defaults );
                                                ?>

                                                <?php if( $enable_menu_separator == 1 ) { ?>
                                                    <div class="separator-line-thick bg-black margin-three pull-left margin-five"></div>
                                                <?php } ?>

                                                <?php if( $enable_menu_social_icons == 1 && is_active_sidebar($menu_social_sidebar) ) { ?>
                                                    <div class="col-md-12 col-sm-12 col-xs-12 no-padding">
                                                        <!-- social media link -->
                                                        <?php dynamic_sidebar($menu_social_sidebar); ?>
                                                        <!-- end social media link -->
                                                    </div>
                                                <?php } ?>
                                            </div>
                                        </div>
                                        <button class="close-button" id="close-button"><?php esc_html_e( 'Close Menu', 'H-Code' ) ?></button>
                                    </div>
                                </div>
                            </div>
                            <!-- end main menu -->
                            <button type="button" class="menu-button-orange position-absolute position-right navbar-toggle" id="open-button" data-toggle="collapse" data-target=".navbar-collapse">
                                <span class="sr-only"><?php esc_html_e( 'Open Menu', 'H-Code' ) ?></span>
                                <span class="icon-bar"></span>
                                <span class="icon-bar"></span>
                                <span class="icon-bar"></span>
                            </button>
                        </div>
                    </div>
                    <!-- end navigation panel -->
                </div>
            </nav>
        <?php } else { // Default Menu Style ?>

            <nav class="navbar navbar-default navbar-fixed-top nav-transparent overlay-nav sticky-nav <?php echo $classes.$hcode_header_text_color." ".$enable_sticky;?>" data-menu-hover-delay="<?php echo $hcode_menu_hover_delay; ?>">
                <div class="container">
                    <div class="row">
                        <!-- logo -->
                        <div class="<?php echo $header_logo_wrap_class ?> pull-left">
                            <?php echo $logo_html; ?>
                        </div>
                        <!-- end logo -->
                        
                        <!-- search and cart  -->
                        <?php
                        ob_start();
                            if($hcode_header_search == 1 || $hcode_header_cart == 1):
                                $width_auto_class = $header_logo_position == 'top' ? ' width-auto' : ' no-padding-left';
                        ?>
                                    <div class="col-md-2 search-cart-header pull-right<?php echo $width_auto_class ?>">
                                    <?php if($hcode_header_search == 1): ?>
                                    <div id="top-search">
                                        <!-- nav search -->
                                        <a href="#search-header" class="header-search-form"><i class="fa fa-search search-button"></i></a>
                                        <!-- end nav search -->
                                    </div>
                                    <!-- search input-->
                                    <form id="search-header" method="get" action="<?php echo esc_url( home_url( '/' ) ) ?>" name="search-header" class="mfp-hide search-form-result">
                                        <div class="search-form position-relative">
                                            <button type="submit" class="fa fa-search close-search search-button black-text"></button>
                                            <input type="text" name="s" class="search-input" value="<?php echo get_search_query() ?>" placeholder="<?php echo $hcode_search_placeholder_text ?>" autocomplete="off">
                                        </div>
                                    </form>
                                    <!-- end search input -->

                                    <?php endif; ?>

                                    <?php if( $hcode_header_cart == 1 && is_active_sidebar( $hcode_header_mini_cart ) ):?>
                                        <div class="top-cart">
                                            <?php dynamic_sidebar($hcode_header_mini_cart);?>
                                        </div>
                                    <?php endif; ?>
                                </div>
                            <?php endif; ?>
                        <?php 
                            $search_cart_section = ob_get_clean();
                        ?>
                        <!-- end search and cart  -->

                        <?php 
                            if( $header_logo_position != 'top' ) :
                                echo $search_cart_section;
                            endif;
                        ?>

                        <!-- toggle navigation -->
                        <div class="navbar-header col-sm-8 sm-width-auto col-xs-2 pull-right">
                            <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                                <span class="sr-only"><?php esc_html_e( 'Toggle navigation', 'H-Code' ) ?></span>
                                <span class="icon-bar"></span>
                                <span class="icon-bar"></span>
                                <span class="icon-bar"></span>
                            </button>
                        </div>
                        <!-- toggle navigation end -->
                        <!-- main menu -->
                        <?php
                            $no_padding_right_class = $header_logo_position == 'center' ? '' : ' no-padding-right';
                            if($hcode_header_search == 1 || $hcode_header_cart == 1): 
                        ?>
                            <?php if( class_exists( 'WooCommerce' ) ){ ?>
                                <div class="<?php echo $header_menu_col_class . $no_padding_right_class ?> accordion-menu text-right">
                            <?php }else { ?>
                                <div class="<?php echo $header_menu_col_class . $no_padding_right_class ?> accordion-menu text-right pull-right">
                            <?php } ?>
                        <?php else: ?>
                            <div class="<?php echo $header_menu_col_class . $no_padding_right_class ?> accordion-menu text-right pull-right menu-position-right">
                        <?php 
                        endif;
                        $defaults = '';
                            if (!empty($header_menu)):
                                $defaults = array(
                                    'menu'            => $header_menu,
                                    'container'       => 'div',
                                    'container_class' => 'navbar-collapse collapse '.$header_main_menu_class,
                                    'container_id'    => 'mega-menu',
                                    'menu_class'      => 'mega-menu-ul nav navbar-nav '.$header_main_menu_class.' panel-group',
                                    'menu_id'         => '',
                                    'echo'            => true,
                                    'fallback_cb'     => false,
                                    'items_wrap'      => '<ul id="%1$s" class="%2$s">%3$s</ul>',
                                    'walker'          => new Hcode_Mega_Menu_Walker
                                );
                            elseif( has_nav_menu('hcodemegamenu') ):
                                $defaults = array(
                                    'theme_location'  => 'hcodemegamenu',
                                    'container'       => 'div',
                                    'container_class' => 'navbar-collapse collapse '.$header_main_menu_class,
                                    'container_id'    => 'mega-menu',
                                    'menu_class'      => 'mega-menu-ul nav navbar-nav '.$header_main_menu_class.' panel-group',
                                    'menu_id'         => '',
                                    'echo'            => true,
                                    'fallback_cb'     => false,
                                    'items_wrap'      => '<ul id="%1$s" class="%2$s">%3$s</ul>',
                                    'walker'          => new Hcode_Mega_Menu_Walker
                                );
                            else:
                                $defaults = array(
                                    'container'       => 'div',
                                    'container_class' => 'navbar-collapse collapse '.$header_main_menu_class,
                                    'container_id'    => 'mega-menu',
                                    'menu_class'      => 'mega-menu-ul nav navbar-nav '.$header_main_menu_class.' panel-group',
                                    'menu_id'         => '',
                                    'echo'            => true,
                                    'items_wrap'      => '<ul id="%1$s" class="%2$s">%3$s</ul>',
                                );
                            endif;

                            wp_nav_menu( $defaults );

                            if ( $header_logo_position == 'center' && !empty($header_secondary_menu)):

                                $secondary_defaults = array(
                                    'menu'            => $header_secondary_menu,
                                    'container'       => 'div',
                                    'container_class' => 'navbar-collapse collapse navbar-right',
                                    'container_id'    => 'mega-menu',
                                    'menu_class'      => 'mega-menu-ul nav navbar-nav navbar-right panel-group',
                                    'menu_id'         => '',
                                    'echo'            => true,
                                    'fallback_cb'     => false,
                                    'items_wrap'      => '<ul id="%1$s" class="%2$s">%3$s</ul>',
                                    'walker'          => new Hcode_Mega_Menu_Walker
                                );

                                wp_nav_menu( $secondary_defaults );

                            endif;
                            ?>
                        </div>
                        <!-- end main menu -->

                        <?php 
                            if( $header_logo_position == 'top' ) :
                                echo $search_cart_section;
                            endif;
                        ?>
                        
                    </div>
                </div>
            </nav>
        <?php } ?>
        <!-- end navigation -->

    <?php if( hcode_check_enable_mini_header() ) { ?>
        </header>
    <?php } ?>
<?php } ?>