<?php
/**
 * Single Product Rating
 *
 * @author      WooThemes
 * @package     WooCommerce/Templates
 * @version     3.1.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

global $product;

if ( get_option( 'woocommerce_enable_review_rating' ) === 'no' ) {
	return;
}

$rating_count = $product->get_rating_count();
$review_count = $product->get_review_count();
$average      = $product->get_average_rating();

if ( $rating_count > 0 ) : ?>
	<div itemprop="aggregateRating" itemscope itemtype="http://schema.org/AggregateRating">		
		<?php echo wc_get_rating_html( $average, $rating_count ); ?>
		<?php if ( comments_open() ) : ?>
			<span class="rating-text text-uppercase">
				<?php 
				if( $review_count > 1 ){
					printf( esc_html__( '%s reviews', 'H-Code' ), $review_count); 
				}else{
					printf( esc_html__( '%s review', 'H-Code' ), $review_count); 
				}
				?>
			</span>
		<?php endif ?>
	</div>

<?php endif; ?>
