<?php
/**
 * Map For Alert Message
 *
 * @package H-Code
 */
?>
<?php
vc_map( 
  array(
    'name' => __('Alert Message', 'hcode-addons'),
    'base' => 'hcode_alert_massage',
    'category' => 'H-Code',
    'description' => __( 'Create an alert message', 'hcode-addons' ),
    'icon' => 'fa fa-exclamation-triangle h-code-shortcode-icon', //URL or CSS class with icon image.
    'params' => array(
    array(
      'type' => 'dropdown',
        'holder' => 'div',
        'class' => '',
        'heading' => __('Alert Message Style', 'hcode-addons'),
        'param_name' => 'hcode_alert_massage_premade_style',
        'value' => array(__('Select Alert Message Style', 'hcode-addons') => '',
                 __('Select Alert Style1', 'hcode-addons') => 'alert-massage-style-1',
                         __('Select Alert Style2', 'hcode-addons') => 'alert-massage-style-2',
                         __('Select Alert Style3', 'hcode-addons') => 'alert-massage-style-3',
                         __('Select Alert Style4', 'hcode-addons') => 'alert-massage-style-4',
                         __('Select Alert Style5', 'hcode-addons') => 'alert-massage-style-5',
                         __('Select Alert Style6', 'hcode-addons') => 'alert-massage-style-6',
                         __('Select Alert Style7', 'hcode-addons') => 'alert-massage-style-7',
                         __('Select Alert Style8', 'hcode-addons') => 'alert-massage-style-8',
                      ),
    ),
    array(
          'type' => 'hcode_preview_image',
          'heading' => __('Style for tab', 'hcode-addons'),
          'param_name' => 'alert_massage_preview_image',
          'admin_label' => true,
          'value' => array(__('Alert image', 'hcode-addons') => '',
                           __('Alert image1', 'hcode-addons') => 'alert-massage-style-1',
                           __('Alert image2', 'hcode-addons') => 'alert-massage-style-2',
                           __('Alert image3', 'hcode-addons') => 'alert-massage-style-3',
                           __('Alert image4', 'hcode-addons') => 'alert-massage-style-4',
                           __('Alert image5', 'hcode-addons') => 'alert-massage-style-5',
                           __('Alert image6', 'hcode-addons') => 'alert-massage-style-6',
                           __('Alert image7', 'hcode-addons') => 'alert-massage-style-7',
                           __('Alert image8', 'hcode-addons') => 'alert-massage-style-8',
                          ),
    ),
    array(
        'type' => 'dropdown',
        'heading' => __('Alert Message Type', 'hcode-addons'),
        'param_name' => 'hcode_alert_massage_type',
        'admin_label' => true,
        'value' => array(__('Select Alert Message Type', 'hcode-addons') => '',
                 __('Success Message', 'hcode-addons') => 'success',
                         __('Info Message', 'hcode-addons') => 'info',
                         __('Warning Message', 'hcode-addons') => 'warning',
                         __('Danger Message', 'hcode-addons') => 'danger',
                        ),
      'dependency'  => array( 'element' => 'hcode_alert_massage_premade_style', 'value' => array('alert-massage-style-1','alert-massage-style-2','alert-massage-style-3','alert-massage-style-4','alert-massage-style-5','alert-massage-style-6','alert-massage-style-7','alert-massage-style-8')),
    ),
    array(
      'type' => 'hcode_custom_switch_option',
      'heading' => __('Custom Icon', 'hcode-addons'),
      'param_name' => 'custom_icon',
      'value' => array(__('NO', 'hcode-addons') => '0',
                       __('YES', 'hcode-addons') => '1'
                      ),
      'dependency'  => array( 'element' => 'hcode_alert_massage_premade_style', 'value' => array('alert-massage-style-1','alert-massage-style-2','alert-massage-style-3')),
    ),
    array(
      'type' => 'attach_image',
      'heading' => __('Custom Icon Image', 'hcode-addons'),
      'param_name' => 'custom_icon_image',
      'dependency' => array( 'element' => 'custom_icon', 'value' => '1' ),
      'description' => __( 'Recommended size: Extra Large - 60px X 60px, Large - 50px X 50px, Medium - 40px X 40px, Small - 25px X 25px, Extra Small - 18px X 18px', 'hcode-addons' ),
    ),
    array(
      'type' => 'hcode_icon',
        'heading' => __('Select Icon', 'hcode-addons'),
        'param_name' => 'hcode_message_icon',
        'admin_label' => true,
        'dependency' => array( 'element' => 'custom_icon', 'value' => '0' ),
    ),
    array(
        'type' => 'textfield',
        'heading' => __('Title (Highlighted in bold)', 'hcode-addons'),
        'param_name' => 'hcode_highliget_title',
        'admin_label' => true,
        'dependency'  => array( 'element' => 'hcode_alert_massage_premade_style', 'value' => array('alert-massage-style-1','alert-massage-style-2','alert-massage-style-3','alert-massage-style-4','alert-massage-style-5','alert-massage-style-6','alert-massage-style-7','alert-massage-style-8')),
    ),
    array(
        'type' => 'textarea',
        'heading' => __('Subtitle', 'hcode-addons'),
        'param_name' => 'hcode_subtitle',
        'admin_label' => true,
        'dependency'  => array( 'element' => 'hcode_alert_massage_premade_style', 'value' => array('alert-massage-style-1','alert-massage-style-2','alert-massage-style-3','alert-massage-style-4','alert-massage-style-5','alert-massage-style-6','alert-massage-style-7','alert-massage-style-8')),
    ),
    array(
          'type' => 'hcode_custom_switch_option',
          'holder' => 'div',
          'class' => '',
          'heading' => __('Show Close Button', 'hcode-addons'),
          'param_name' => 'show_close_button',
          'value' => array(__('NO', 'hcode-addons') => '0', 
                             __('YES', 'hcode-addons') => '1'
                            ),
          'description' => __( 'Select YES to show close button in Message', 'hcode-addons' ),
          'dependency'  => array( 'element' => 'hcode_alert_massage_premade_style', 'value' => array('alert-massage-style-2','alert-massage-style-3','alert-massage-style-4','alert-massage-style-5','alert-massage-style-6','alert-massage-style-7','alert-massage-style-8')),
    ),
    $hcode_vc_extra_id,
    $hcode_vc_extra_class,
    ),
  ) 
);