<?php
/**
 * Map For Icon
 *
 * @package H-Code
 */
?>
<?php
/*-----------------------------------------------------------------------------------*/
/* Icons */
/*-----------------------------------------------------------------------------------*/
vc_map( 
  array(
    'name' => __('Font Icons', 'hcode-addons'),
    'base' => 'hcode_font_icons',
    'category' => 'H-Code',
    'description' => __( 'Add font awesome/et-line icons', 'hcode-addons' ),
    'icon' => 'fa fa-flag h-code-shortcode-icon', //URL or CSS class with icon image.
    'params' => array(
        array(
            'type' => 'dropdown',
            'holder' => 'div',
            'class' => '',
            'heading' => __('Font Icon Type', 'hcode-addons'),
            'param_name' => 'hcode_font_icon_type',
            'value' => array(__('Select Font Icon Type', 'hcode-addons') => '',
                     __('Font Awesome Icons', 'hcode-addons') => 'hcode_font_awesome_icons',
                             __('Et-line Icons', 'hcode-addons') => 'hcode_et_line_icons',
                            ),
        ),
        array(
            'type' => 'dropdown',
            'holder' => 'div',
            'class' => '',
            'heading' => __('Font Awesome Style', 'hcode-addons'),
            'param_name' => 'hcode_font_icon_premade_style',
            'value' => array(__('Select Font Awesome style', 'hcode-addons') => '',
                     __('Font Style1', 'hcode-addons') => 'font-awesome-icons-1',
                             __('Font Style2', 'hcode-addons') => 'font-awesome-icons-2',
                             __('Font Style3', 'hcode-addons') => 'font-awesome-icons-3',
                             __('Font Style4', 'hcode-addons') => 'font-awesome-icons-4',
                             __('Font Style5', 'hcode-addons') => 'font-awesome-icons-5',
                          ),
            'dependency'  => array( 'element' => 'hcode_font_icon_type', 'value' => array('hcode_font_awesome_icons')),
        ),
        array(
            'type' => 'hcode_preview_image',
            'heading' => __('Select pre-made style for tab', 'hcode-addons'),
            'param_name' => 'hcode_font_icon_preview_image',
            'admin_label' => true,
            'value' => array(__('Font image', 'hcode-addons') => '',
                             __('Font image1', 'hcode-addons') => 'font-awesome-icons-1',
                             __('Font image2', 'hcode-addons') => 'font-awesome-icons-2',
                             __('Font image3', 'hcode-addons') => 'font-awesome-icons-3',
                             __('Font image4', 'hcode-addons') => 'font-awesome-icons-4',
                             __('Font image5', 'hcode-addons') => 'font-awesome-icons-5',
                            ),
            'dependency'  => array( 'element' => 'hcode_font_icon_type', 'value' => array('hcode_font_awesome_icons')),
        ),
        array(
            'type' => 'dropdown',
            'holder' => 'div',
            'class' => '',
            'heading' => __('Et-Line Style', 'hcode-addons'),
            'param_name' => 'hcode_et_icon_premade_style',
            'value' => array(__('Select Et-Line Style', 'hcode-addons') => '',
                     __('Font Style1', 'hcode-addons') => 'et-line-icons-1',
                             __('Font Style2', 'hcode-addons') => 'et-line-icons-2',
                             __('Font Style3', 'hcode-addons') => 'et-line-icons-3',
                             __('Font Style4', 'hcode-addons') => 'et-line-icons-4',
                             __('Font Style5', 'hcode-addons') => 'et-line-icons-5',
                             __('Font Style6', 'hcode-addons') => 'et-line-icons-6',
                             __('Font Style7', 'hcode-addons') => 'et-line-icons-7',
                             __('Font Style8', 'hcode-addons') => 'et-line-icons-8',
                             __('Font Style9', 'hcode-addons') => 'et-line-icons-9',
                             __('Font Style10', 'hcode-addons') => 'et-line-icons-10',
                             __('Font Style11', 'hcode-addons') => 'et-line-icons-11',
                             __('Font Style12', 'hcode-addons') => 'et-line-icons-12',
                          ),
            'dependency'  => array( 'element' => 'hcode_font_icon_type', 'value' => array('hcode_et_line_icons')),
        ),
        array(
            'type' => 'hcode_preview_image',
            'heading' => __('Select pre-made style for tab', 'hcode-addons'),
            'param_name' => 'hcode_et_icon_preview_image',
            'admin_label' => true,
            'value' => array(__('Font image', 'hcode-addons') => '',
                             __('Font image1', 'hcode-addons') => 'et-line-icons-1',
                             __('Font image2', 'hcode-addons') => 'et-line-icons-2',
                             __('Font image3', 'hcode-addons') => 'et-line-icons-3',
                             __('Font image4', 'hcode-addons') => 'et-line-icons-4',
                             __('Font image5', 'hcode-addons') => 'et-line-icons-5',
                             __('Font image6', 'hcode-addons') => 'et-line-icons-6',
                             __('Font image7', 'hcode-addons') => 'et-line-icons-7',
                             __('Font image8', 'hcode-addons') => 'et-line-icons-8',
                             __('Font image9', 'hcode-addons') => 'et-line-icons-9',
                             __('Font image10', 'hcode-addons') => 'et-line-icons-10',
                             __('Font image11', 'hcode-addons') => 'et-line-icons-11',
                             __('Font image12', 'hcode-addons') => 'et-line-icons-12',
                            ),
            'dependency'  => array( 'element' => 'hcode_font_icon_type', 'value' => array('hcode_et_line_icons')),
        ),
        array(
          'type' => 'hcode_custom_switch_option',
          'heading' => __('Custom Icon', 'hcode-addons'),
          'param_name' => 'hcode_font_awesome_custom_icon',
          'value' => array(__('NO', 'hcode-addons') => '0',
                           __('YES', 'hcode-addons') => '1'
                          ),
          'dependency'  => array( 'element' => 'hcode_font_icon_premade_style', 'not_empty' => true),
        ),
        array(
          'type' => 'attach_image',
          'heading' => __('Custom Icon Image', 'hcode-addons'),
          'param_name' => 'hcode_font_awesome_custom_icon_image',
          'dependency' => array( 'element' => 'hcode_font_awesome_custom_icon', 'value' => '1' ),
          'description' => __( 'Recommended size: Extra Large - 60px X 60px, Large - 50px X 50px, Medium - 40px X 40px, Small - 25px X 25px, Extra Small - 18px X 18px', 'hcode-addons' ),
        ),
        array(
          'type' => 'hcode_fontawesome_icon',
          'heading' => __('Font Awesome Icon Type', 'hcode-addons'),
          'param_name' => 'hcode_font_awesome_icon_list',
          'admin_label' => true,
          'dependency' => array( 'element' => 'hcode_font_awesome_custom_icon', 'value' => '0' ),
        ),
        array(
          'type' => 'hcode_custom_switch_option',
          'heading' => __('Custom Icon', 'hcode-addons'),
          'param_name' => 'hcode_et_line_custom_icon',
          'value' => array(__('NO', 'hcode-addons') => '0',
                           __('YES', 'hcode-addons') => '1'
                          ),
          'dependency'  => array( 'element' => 'hcode_et_icon_premade_style', 'not_empty' => true),
        ),
        array(
          'type' => 'attach_image',
          'heading' => __('Custom Icon Image', 'hcode-addons'),
          'param_name' => 'hcode_et_line_custom_icon_image',
          'dependency' => array( 'element' => 'hcode_et_line_custom_icon', 'value' => '1' ),
          'description' => __( 'Recommended size: Extra Large - 60px X 60px, Large - 50px X 50px, Medium - 40px X 40px, Small - 25px X 25px, Extra Small - 18px X 18px', 'hcode-addons' ),
        ),
        array(
          'type' => 'hcode_etline_icon',
          'heading' => __('Et-Line Icon Type', 'hcode-addons'),
          'param_name' => 'hcode_et_line_icon_list',
          'admin_label' => true,
          'dependency' => array( 'element' => 'hcode_et_line_custom_icon', 'value' => '0' ),
        ),
        array(
          'type' => 'dropdown',
          'heading' => __('Icon Size', 'hcode-addons'),
          'param_name' => 'hcode_font_icon_size',
          'admin_label' => true,
          'value' => array(__('Select Icon Size', 'hcode-addons') => '',
                     __('Extra Large', 'hcode-addons') => 'extra-large-icon', 
                           __('Large', 'hcode-addons') => 'large-icon',
                           __('Medium', 'hcode-addons') => 'medium-icon',
                           __('Small', 'hcode-addons') => 'small-icon',
                           __('Extra Small', 'hcode-addons') => 'extra-small-icon',
                          ),
          'dependency'  => array( 'element' => 'hcode_font_icon_premade_style', 'value' => array('font-awesome-icons-1')),
        ),
        array(
            'type' => 'hcode_custom_switch_option',
            'holder' => 'div',
            'class' => '',
            'heading' => __('Show Border', 'hcode-addons'),
            'param_name' => 'show_border',
            'value' => array(__('NO', 'hcode-addons') => '0', 
                             __('YES', 'hcode-addons') => '1'
                            ),
            'description' => __( 'Select YES to show border in icon', 'hcode-addons' ),
            'dependency'  => array( 'element' => 'hcode_font_icon_premade_style', 'value' => array('font-awesome-icons-2','font-awesome-icons-3')),
        ),
        array(
            'type' => 'hcode_custom_switch_option',
            'holder' => 'div',
            'class' => '',
            'heading' => __('Show Rounded Border', 'hcode-addons'),
            'param_name' => 'show_border_rounded',
            'value' => array(__('NO', 'hcode-addons') => '0', 
                             __('YES', 'hcode-addons') => '1'
                            ),
            'description' => __( 'Select YES to show rounded border in icon', 'hcode-addons' ),
            'dependency'  => array( 'element' => 'hcode_font_icon_premade_style', 'value' => array('font-awesome-icons-2','font-awesome-icons-4','font-awesome-icons-5')),
        ),
        array(
          'type' => 'dropdown',
          'heading' => __('Icon Box Size', 'hcode-addons'),
          'param_name' => 'hcode_icon_box_size',
          'admin_label' => true,
          'value' => array(__('Select Icon Box Size', 'hcode-addons') => '',
                           __('Large', 'hcode-addons') => 'i-large-box',
                           __('Medium', 'hcode-addons') => 'i-medium-box',
                           __('Small', 'hcode-addons') => 'i-small-box',
                           __('Extra Small', 'hcode-addons') => 'i-extra-small-box',
                          ),
          'dependency'  => array( 'element' => 'hcode_font_icon_premade_style', 'value' => array('font-awesome-icons-2','font-awesome-icons-3','font-awesome-icons-4','font-awesome-icons-5')),
        ),
        array(
          'type' => 'dropdown',
          'heading' => __('Icon Box Decoration', 'hcode-addons'),
          'param_name' => 'hcode_icon_box_decoration',
          'admin_label' => true,
          'value' => array(__('Select Icon Box Decoration', 'hcode-addons') => '',
                     __('Light', 'hcode-addons') => 'i-light', 
                           __('3d', 'hcode-addons') => 'i-3d',
                           __('3d Border', 'hcode-addons') => 'i-3d-border',
                          ),
          'dependency'  => array( 'element' => 'hcode_font_icon_premade_style', 'value' => array('font-awesome-icons-3','font-awesome-icons-4','font-awesome-icons-5')),
        ),
        array(
          'type' => 'dropdown',
          'heading' => __('Icon Box Background Color', 'hcode-addons'),
          'param_name' => 'hcode_icon_box_background_color',
          'admin_label' => true,
          'value' => array(__('Select Icon Box Background Color', 'hcode-addons') => '',
                     __('Orange', 'hcode-addons') => 'bg-orange', 
                     __('Yellow', 'hcode-addons') => 'bg-yellow',
                     __('Yellow Ochre', 'hcode-addons') => 'bg-yellow-ochre',
                     __('Green', 'hcode-addons') => 'bg-green',
                     __('Dark Blue', 'hcode-addons') => 'bg-dark-blue',
                     __('Dark Gray', 'hcode-addons') => 'bg-dark-gray',
                    ),
          'dependency'  => array( 'element' => 'hcode_font_icon_premade_style', 'value' => array('font-awesome-icons-5')),
        ),

        // For Et line icons
        array(
          'type' => 'dropdown',
          'heading' => __('Icon Box Size', 'hcode-addons'),
          'param_name' => 'hcode_et_icon_box_size',
          'admin_label' => true,
          'value' => array(__('Select Icon Box Size', 'hcode-addons') => '',
                           __('Large', 'hcode-addons') => 'i-large-box',
                           __('Medium', 'hcode-addons') => 'i-medium-box',
                           __('Small', 'hcode-addons') => 'i-small-box',
                           __('Extra Small', 'hcode-addons') => 'i-extra-small-box',
                          ),
          'dependency'  => array( 'element' => 'hcode_et_icon_premade_style', 'not_empty' => true),
        ),
        array(
            'type' => 'hcode_custom_switch_option',
            'holder' => 'div',
            'class' => '',
            'heading' => __('Show Border', 'hcode-addons'),
            'param_name' => 'et_show_border',
            'value' => array(__('NO', 'hcode-addons') => '0', 
                             __('YES', 'hcode-addons') => '1'
                            ),
            'description' => __( 'Select YES to show border in icon', 'hcode-addons' ),
            'dependency'  => array( 'element' => 'hcode_et_icon_premade_style', 'value' => array('et-line-icons-2','et-line-icons-4','et-line-icons-8','et-line-icons-10')),
        ),
        array(
            'type' => 'hcode_custom_switch_option',
            'holder' => 'div',
            'class' => '',
            'heading' => __('Show Rounded Border', 'hcode-addons'),
            'param_name' => 'show_et_border_rounded',
            'value' => array(__('NO', 'hcode-addons') => '0', 
                             __('YES', 'hcode-addons') => '1'
                            ),
            'description' => __( 'Select YES to show rounded border in icon', 'hcode-addons' ),
            'dependency'  => array( 'element' => 'hcode_et_icon_premade_style', 'value' => array('et-line-icons-2','et-line-icons-3','et-line-icons-4','et-line-icons-5','et-line-icons-6','et-line-icons-8','et-line-icons-9','et-line-icons-10','et-line-icons-11','et-line-icons-12')),
        ),
        array(
            'type' => 'hcode_custom_switch_option',
            'holder' => 'div',
            'class' => '',
            'heading' => __('Show Plain Icons', 'hcode-addons'),
            'param_name' => 'et_plain',
            'value' => array(__('NO', 'hcode-addons') => '0', 
                             __('YES', 'hcode-addons') => '1'
                            ),
            'description' => __( 'Select Yes to show plain icon', 'hcode-addons' ),
            'dependency'  => array( 'element' => 'hcode_et_icon_premade_style', 'value' => array('et-line-icons-1','et-line-icons-7')),
        ),
        array(
            'type' => 'hcode_custom_switch_option',
            'holder' => 'div',
            'class' => '',
            'heading' => __('Show Circled Icon', 'hcode-addons'),
            'param_name' => 'circled',
            'value' => array(__('NO', 'hcode-addons') => '0', 
                             __('YES', 'hcode-addons') => '1'
                            ),
            'description' => __( 'Select YES to show circled icon', 'hcode-addons' ),
            'dependency'  => array( 'element' => 'hcode_et_icon_premade_style', 'value' => array('et-line-icons-7','et-line-icons-8','et-line-icons-9','et-line-icons-10','et-line-icons-11','et-line-icons-12')),
        ),
        array(
          'type' => 'dropdown',
          'heading' => __('Icon Box Decoration', 'hcode-addons'),
          'param_name' => 'hcode_et_icon_box_decoration',
          'admin_label' => true,
          'value' => array(__('Select Icon Box Decoration', 'hcode-addons') => '',
                     __('Light', 'hcode-addons') => 'i-light', 
                     __('3d', 'hcode-addons') => 'i-3d',
                     __('3d Border', 'hcode-addons') => 'i-3d-border',
                    ),
          'dependency'  => array( 'element' => 'hcode_et_icon_premade_style', 'value' => array('et-line-icons-4','et-line-icons-5','et-line-icons-6','et-line-icons-10','et-line-icons-11','et-line-icons-12')),
        ),
        array(
          'type' => 'dropdown',
          'heading' => __('Icon Box Background Color', 'hcode-addons'),
          'param_name' => 'hcode_et_icon_box_background_color',
          'admin_label' => true,
          'value' => array(__('Select Icon Box Background Color', 'hcode-addons') => '',
                           __('Orange', 'hcode-addons') => 'bg-orange', 
                           __('Yellow', 'hcode-addons') => 'bg-yellow',
                           __('Yellow Ochre', 'hcode-addons') => 'bg-yellow-ochre',
                           __('Green', 'hcode-addons') => 'bg-green',
                           __('Dark Blue', 'hcode-addons') => 'bg-dark-blue',
                           __('Dark Gray', 'hcode-addons') => 'bg-dark-gray',
                          ),
          'dependency'  => array( 'element' => 'hcode_et_icon_premade_style', 'value' => array('et-line-icons-6','et-line-icons-12')),
        ),
        $hcode_vc_extra_id,
        $hcode_vc_extra_class,
        ),
    ) 
);